//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;
using System.Collections;

namespace FrameworkLibraries
{
	public class BitArrayMain 
	{
		static void Main(string [] args)
		{
			BitArray ba1 = new BitArray(8);
			ba1[0] = true;
			ba1[1] = false;
			ba1[2] = true;
			ba1[3] = false;
			ba1[4] = true;
			ba1[5] = false;
			ba1[6] = true;
			ba1[7] = false;
			foreach(bool b in ba1)
				Console.Write("{0} ", b);
			Console.WriteLine();
			BitArray ba2 = new BitArray(8);
			ba2[0] = true;
			ba2[1] = true;
			ba2[2] = true;
			ba2[3] = true;
			ba2[4] = false;
			ba2[5] = false;
			ba2[6] = false;
			ba2[7] = false;
			foreach(bool b in ba2)
				Console.Write("{0} ", b);
			Console.WriteLine();
			BitArray bar = new BitArray(ba1);
			bar.And(ba2);
			Console.WriteLine("--- And ---");
			foreach(bool b in bar)
				Console.Write("{0} ", b);
			Console.WriteLine();
			bar = new BitArray(ba1);
			bar.Or(ba2);
			Console.WriteLine("--- Or ---");
			foreach(bool b in bar)
				Console.Write("{0} ", b);
			Console.WriteLine();
			bar = new BitArray(ba1);
			bar.Xor(ba2);
			Console.WriteLine("--- Xor ---");
			foreach(bool b in bar)
				Console.Write("{0} ", b);
			Console.WriteLine();
		}
	}
}