//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;

namespace FrameworkLibraries
{
	public class BufferMain 
	{
		static void Main(string [] args)
		{
			int [] rawData = new int [] {1,2,3,4};
			Console.WriteLine("Array byte length: {0}",
				               Buffer.ByteLength(rawData));
			for(int i = 0;i < Buffer.ByteLength(rawData); i++)
			{
				if((i % 4) == 0)
					Console.WriteLine();
				Console.Write("0x{0:X} ", Buffer.GetByte(rawData, i));
			}
		}
	}
}