//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;

namespace FrameworkLibraries
{
	public class ConvertMain 
	{
		static void Main()
		{
			Console.Write("Input a date: ");
			string input = Console.ReadLine();
			try
			{
				DateTime date = Convert.ToDateTime(input);
				Console.WriteLine("{0}", date.ToLongDateString());
			}
			catch(Exception e)
			{
				Console.WriteLine(e);
			}
			Console.Write("Input a number: ");
			input = Console.ReadLine();
			try
			{
				int number = Convert.ToInt32(input);
				Console.WriteLine("You entered: {0}", number);
			}
			catch(Exception e)
			{
				Console.WriteLine(e);
			}
			Console.Write("Input a byte sized integer: ");
			input = Console.ReadLine();
			try
			{
				byte b = Convert.ToByte(input);
				Console.WriteLine("You entered: {0}", b);
			}
			catch(Exception e)
			{
				Console.WriteLine(e);
			}
		}
	}
}