//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
﻿using System;
using System.Text;

namespace FrameworkLibraries
{
	public class EncodingMain 
	{
		static void Main(string [] args)
		{
			string japanese = "お元気ですか？";
			string chinese = "你好吗？";
			string english = "How are you?";
			byte [] encoded;
			UTF8Encoding encoding = new UTF8Encoding();
			Console.WriteLine("CodePage: {0}", encoding.CodePage);
			Console.WriteLine("EncodingName: {0}", encoding.EncodingName);
			Console.WriteLine("WindowsCodePage: {0}", encoding.WindowsCodePage);
			encoded = encoding.GetBytes(japanese);
			Console.WriteLine("Encoded Japanese: {0} <-> {1}", japanese.Length, encoded.Length);
			encoded = encoding.GetBytes(chinese);
			Console.WriteLine("Encoded Chinese: {0} <-> {1}", chinese.Length, encoded.Length);
			encoded = encoding.GetBytes(english);
			Console.WriteLine("Encoded English: {0} <-> {1}", english.Length, encoded.Length);
		}
	}
}