//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;
using System.Collections;

namespace FrameworkLibraries
{
	public class HashTableMain 
	{
		static void Main(string [] args)
		{
			Hashtable ht = new Hashtable();
			ht.Add("1", "First");
			ht.Add("2", "Second");
			ht.Add("3", "Third");
			ht.Add("4", "Fourth");
			ht.Add("5", "Fifth");
			ht.Add(1, "One");
			ht.Add(2, "Two");
			ht.Add(3, "Three");
			ht.Add(4, "Four");
			ht.Add(5, "Five");
			foreach(DictionaryEntry de in ht)
			{
				Console.WriteLine("{0} {1}", de.Key, de.Value);
			}
			Console.WriteLine("Contains 1: {0}", ht.Contains(1));
			Console.WriteLine("Contains 6: {0}", ht.Contains(6));
			Console.WriteLine("ContainsValue First: {0}", ht.ContainsValue("First"));
			Console.WriteLine("ht[1]: {0}", ht[1]);
		}
	}
}