//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;
using System.Collections;

namespace FrameworkLibraries
{
	public class ICollectionMain 
	{
		static void Main(string [] args)
		{
			ArrayList al = new ArrayList();
			al.Add("This");
			al.Add("is");
			al.Add("a");
			al.Add("test");
			al.Add(0);
			al.Add(1);
			ICollection ic = (ICollection)al;
			lock(ic.SyncRoot)
			{
				Console.WriteLine("Sychronized: {0}", ic.IsSynchronized);
				Console.WriteLine("Count: {0}", ic.Count);
				Object [] oa = new Object [6];
				ic.CopyTo(oa, 0);
				foreach(object o in oa)
				{
					Console.WriteLine("{0} {1}", o, o.GetType());
				}
			}
		}
	}
}