//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;
using System.Collections;

namespace FrameworkLibraries
{
	public class IListMain 
	{
		static void Main(string [] args)
		{
			ArrayList al = new ArrayList();
			IList il = (IList)al;
			il.Add("This");
			il.Add("is");
			il.Add("a");
			il.Add("test");
			il.Add(0);
			il.Add(1);
			Console.WriteLine("Read-only: {0}", il.IsReadOnly);
			Console.WriteLine("Fixed size: {0}", il.IsFixedSize);
			Console.WriteLine("il[0]: {0}", il[0]);
			Console.WriteLine("il[1]: {0}", il[1]);
			Console.WriteLine("il contains \"test\": {0}", il.Contains("test"));
			Console.WriteLine("Removing \"test\" . . .");
			il.Remove("test");
			Console.WriteLine("il contains \"test\": {0}", il.Contains("test"));
			Console.WriteLine("il contains 2: {0}", il.Contains(2));
		}
	}
}