//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;
using System.Collections;
using System.Collections.Specialized;

namespace FrameworkLibraries
{
	public class NameValueCollectionMain 
	{
		static void Main(string [] args)
		{
			NameValueCollection nvc = new NameValueCollection();
			nvc.Add("First", "This is the first item");
			nvc.Add("Second", "This is the second item");
			nvc.Add("Third", "This is the third item");
			Console.WriteLine("Count: {0}", nvc.Count);
			foreach(string s in nvc)
			{
				Console.WriteLine(s);
			}
		}
	}
}