//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;
using System.Collections;
using System.Collections.Specialized;

namespace FrameworkLibraries
{
	public class StringCollectionMain 
	{
		static void Main(string [] args)
		{
			StringCollection sc = new StringCollection();
			sc.Add("First");
			sc.Add("Second");
			sc.Add("Third");
			sc.Add("Fourth");
			sc.Add("Fifth");
			Console.WriteLine("Read-only: {0}", sc.IsReadOnly);
			Console.WriteLine("Count: {0}", sc.Count);
			foreach(string s in sc)
			{
				Console.WriteLine(s);
			}
		}
	}
}