//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;
using System.Collections;
using System.Collections.Specialized;

namespace FrameworkLibraries
{
	public class StringDictionaryMain 
	{
		static void Main(string [] args)
		{
			StringDictionary sd = new StringDictionary();
			sd.Add("First", "This is the first string");
			sd.Add("Second", "This is the second string");
			sd.Add("Third", "This is the third string");
			sd.Add("Fourth", "This is the fourth string");
			sd.Add("Fifth", "This is the fifth string");
			Console.WriteLine("Count: {0}", sd.Count);
			foreach(DictionaryEntry de in sd)
			{
				Console.WriteLine("{0} {1}", de.Key, de.Value);
			}
			Console.WriteLine("sd[\"First\"]: {0}", sd["First"]);
			Console.WriteLine("sd[\"Second\"]: {0}", sd["Second"]);
			Console.WriteLine("sd[\"FIRST\"]: {0}", sd["FIRST"]);
			Console.WriteLine("ContainsKey \"First\": {0}", sd.ContainsKey("First"));
			Console.WriteLine("ContainsKey \"Sixth\": {0}", sd.ContainsKey("Sixth"));
		}
	}
}