//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;
using System.Collections;

namespace FrameworkLibraries
{
	public class IDictionaryMain 
	{
		static void Main(string [] args)
		{
			Hashtable ht = new Hashtable();
			IDictionary id = (IDictionary)ht;
			id.Add("1", "First");
			id.Add("2", "Second");
			id.Add("3", "Third");
			id.Add("4", "Fourth");
			id.Add("5", "Fifth");
			id.Add(1, "One");
			id.Add(2, "Two");
			id.Add(3, "Three");
			id.Add(4, "Four");
			id.Add(5, "Five");
			foreach(DictionaryEntry de in id)
			{
				Console.WriteLine("{0} {1}", de.Key, de.Value);
			}
			Console.WriteLine("Contains 1: {0}", id.Contains(1));
			Console.WriteLine("Contains 6: {0}", id.Contains(6));
			Console.WriteLine("id[1]: {0}", id[1]);
		}
	}
}