//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;

namespace FrameworkLibraries
{
	public class MathMain 
	{
		static void Main(string [] args)
		{
			Console.WriteLine("Pi: {0}", Math.PI);
			Console.WriteLine("E: {0}", Math.E);
			Console.WriteLine("sqrt(2): {0}", Math.Sqrt(2.0));
			Console.WriteLine("log(e): {0}", Math.Log(Math.E));
			Console.WriteLine("cos(pi): {0}", Math.Cos(Math.PI));
			Console.WriteLine("sin(pi): {0}", Math.Sin(Math.PI));
			Console.WriteLine("2^5: {0}", Math.Pow(2,5));
		}
	}
}