//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;
using System.Collections;

namespace FrameworkLibraries
{
	public class SortedListMain 
	{
		static void Main(string [] args)
		{
			SortedList sl = new SortedList();
			sl.Add("1", "First");
			sl.Add("2", "Second");
			sl.Add("3", "Third");
			sl.Add("4", "Fourth");
			sl.Add("5", "Fifth");
			foreach(DictionaryEntry de in sl)
			{
				Console.WriteLine("\"{0}\" {1}", de.Key, de.Value);
			}
			Console.WriteLine("Contains \"1\": {0}", sl.Contains("1"));
			Console.WriteLine("Contains \"6\": {0}", sl.Contains("6"));
			Console.WriteLine("ContainsValue \"First\": {0}", sl.ContainsValue("First"));
			Console.WriteLine("sl[\"1\"]: {0}", sl["1"]);
			sl.Clear();
			sl.Add(1, "First");
			sl.Add(2, "Second");
			sl.Add(3, "Third");
			sl.Add(4, "Fourth");
			sl.Add(5, "Fifth");
			foreach(DictionaryEntry de in sl)
			{
				Console.WriteLine("{0} {1}", de.Key, de.Value);
			}
			Console.WriteLine("Contains 1: {0}", sl.Contains(1));
			Console.WriteLine("Contains 6: {0}", sl.Contains(6));
			Console.WriteLine("ContainsValue First: {0}", sl.ContainsValue("First"));
			Console.WriteLine("sl[1]: {0}", sl[1]);

		}
	}
}