//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;
using System.Collections;

namespace FrameworkLibraries
{
	public class StackMain 
	{
		static void Main(string [] args)
		{
			Stack stack = new Stack();
			stack.Push("First");
			stack.Push("Second");
			stack.Push("Third");
			stack.Push("Fourth");
			stack.Push("Fifth");
			Console.WriteLine("Count: {0}", stack.Count);
			foreach(string s in stack)
			{
				Console.WriteLine(s);
			}
			string sobj;
			sobj = (string)stack.Pop();
			Console.WriteLine("{0} {1}", stack.Count, sobj);
			sobj = (string)stack.Pop();
			Console.WriteLine("{0} {1}", stack.Count, sobj);
			sobj = (string)stack.Pop();
			Console.WriteLine("{0} {1}", stack.Count, sobj);
			sobj = (string)stack.Pop();
			Console.WriteLine("{0} {1}", stack.Count, sobj);
			sobj = (string)stack.Pop();
			Console.WriteLine("{0} {1}", stack.Count, sobj);
		}
	}
}