//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;

namespace FrameworkLibraries
{
	public class TimeSpanMain 
	{
		static void Main(string [] args)
		{
			// Allocate a TimeSpan object
			// with a given number of ticks
			TimeSpan ts = new TimeSpan(1012);
			Console.WriteLine("{0}", ts);
			// Allocate a TimeSpan object
			// with a days, hours, minutes, seconds
			ts = new TimeSpan(11, 13, 46, 40);
			Console.WriteLine("{0} {1}", ts, ts.Ticks.ToString("#,#"));
		}
	}
}