//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;
using System.Globalization;

namespace FrameworkLibraries
{
	public class VersionMain 
	{
		static void Main(string [] args)
		{
			Version v1 = new Version("1.2.3.4");
			Version v2 = new Version(1,2,3,5);
			Console.WriteLine("{0} {1}", v1, v2);
			Console.WriteLine("v1 > v2? {0}", v1 > v2);
		}
	}
}